#
# spec file for package po-utils
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           po-utils
Version:        0.5
Release:        lp152.3.5
Summary:        Free PO Utilities
License:        GPL-2.0+
Group:          Development/Tools/Other
Url:            http://po-utils.progiciels-bpi.ca/
Source:         http://www.iro.umontreal.ca/contrib/po-utils/po-utils-%{version}.tar.gz
Patch0:         po-utils-%{version}.diff
Patch1:         warn.patch
Patch2:         lflags.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  emacs-nox
BuildRequires:  flex
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A collection of tools for handling PO files.

%prep
%setup -q
%patch0
%patch1
%patch2

%build
autoreconf -fi
%configure
export EMACS_UNIBYTE=1
make %{?_smp_mflags}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/po-mode.el*

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README THANKS
%{_bindir}/xpot
# /usr/share/emacs/site-lisp/po-mode.el
# /usr/share/emacs/site-lisp/po-mode.elc

%changelog
* Tue May  5 2015 mpluskal@suse.com
- Update dependencies
- Cleanup spec file with spec-cleaner
- Use %%configure macro
* Mon Mar  9 2015 dimstar@opensuse.org
- Update po-utils-0.5.diff: the change of yyleng away from int was
  a mistake by upstream and is reverted.
* Sun Oct 28 2012 coolo@suse.com
- fix build with latest flex
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Mar 29 2007 schwab@suse.de
- Add flex and bison to BuildRequires.
* Mon May 22 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep  8 2004 schwab@suse.de
- Fix malloc decl.
* Sat Sep  4 2004 schwab@suse.de
- Workaround broken flex option parsing.
* Sat Apr 17 2004 schwab@suse.de
- Pacify autobuild.
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Tue May 13 2003 schwab@suse.de
- Fix for new rpm.
* Wed Apr  3 2002 schwab@suse.de
- Move suse-start-po-mode.el to gettext.
* Mon Apr  9 2001 pthomas@suse.de
- Don't install po-mode.el as gettext now provides it.
* Tue Mar 13 2001 ro@suse.de
- added emacs-x11
* Thu Mar  8 2001 schwab@suse.de
- Add xshared to neededforbuild.
* Fri Nov 17 2000 ro@suse.de
- ge_exec -> emacs
* Tue Oct 24 2000 schwab@suse.de
- Renamed from po_utils.
* Fri Mar 17 2000 schwab@suse.de
- Add suse-start-po-mode.el.
* Tue Feb 22 2000 schwab@suse.de
- Use BuildRoot.
- export LC_CTYPE and EMACS_UNIBYTE for Emacs.
* Fri Feb 11 2000 schwab@suse.de
- Update to 0.5.
- Add %%doc.
* Thu Jan 27 2000 schwab@suse.de
- Workaround for namespace pollution on AXP.
* Wed Jan 19 2000 schwab@suse.de
- Initial version 0.4.
